Permalink
Browse files

Bump minimum Node version to 0.8 and add CI tests

- Removes workaround for node exit not properly flushing on 0.4 and
lower
- Add Travis test runs for each of the supported node version
Fixes #378
  • Loading branch information...
1 parent 14899c9 commit 166859f3c053e26f589de91c0fcbb749df8b3085 @nschonni nschonni committed Jun 5, 2013
Showing with 3 additions and 11 deletions.
  1. +1 −0 .travis.yml
  2. +1 −1 package.json
  3. +1 −10 src/cli/node.js
View
1 .travis.yml
@@ -2,5 +2,6 @@ language: node_js
node_js:
- "0.8"
- "0.10"
+ - "0.11"
before_install:
- npm install -g grunt-cli
View
2 package.json
@@ -11,7 +11,7 @@
}
],
"engines": {
- "node": ">=0.2.0"
+ "node": ">=0.8.0"
},
"directories": {
"lib": "lib"
View
11 src/cli/node.js
@@ -17,16 +17,7 @@ cli({
},
quit: function(code){
-
- //Workaround for https://github.com/joyent/node/issues/1669
-
- if ((!process.stdout.flush || !process.stdout.flush()) && (parseFloat(process.versions.node) < 0.5)) {
- process.once("drain", function () {
- process.exit(code || 0);
- });
- } else {
- process.exit(code || 0);
- }
+ process.exit(code || 0);
},
isDirectory: function(name){

0 comments on commit 166859f

Please sign in to comment.